program ansi;

{$APPTYPE CONSOLE}
uses
  SysUtils;

var fin,fout:text;
    st1,st2:array [1..100] of char;
    razo,razi,dl1,dl2,i,j:integer;
    inp1,inp2:string;
    cas:string[1];
    s2,s1:array [1..100] of byte;
    k:char;
    l:boolean;
function SC(e:string):char;
  begin
    if e='Q' THEN SC:='Q';
    if e='W' THEN SC:='W';
    if e='E' THEN SC:='E';
    if e='R' THEN SC:='R';
    if e='T' THEN SC:='T';
    if e='Y' THEN SC:='Y';
    if e='U' THEN SC:='U';
    if e='I' THEN SC:='I';
    if e='O' THEN SC:='O';
    if e='P' THEN SC:='P';
    if e='A' THEN SC:='A';
    if e='S' THEN SC:='S';
    if e='D' THEN SC:='D';
    if e='F' THEN SC:='F';
    if e='G' THEN SC:='G';
    if e='H' THEN SC:='H';
    if e='J' THEN SC:='J';
    if e='K' THEN SC:='K';
    if e='L' THEN SC:='L';
    if e='Z' THEN SC:='Z';
    if e='X' THEN SC:='X';
    if e='C' THEN SC:='C';
    if e='V' THEN SC:='V';
    if e='B' THEN SC:='B';
    if e='N' THEN SC:='N';
    if e='M' THEN SC:='M';
  end;
  begin
    assign(fin,'ancient.in');
  assign(fout,'ansient.out');
  reset(fin);
  rewrite(fout);
  readln(fin,inp1);
  readln(fin,inp2);
  dl1:=length(inp1);
  dl2:=length(inp2);
  l:=false;
  if dl1<>dl2 then writeln(fout,'NO')else begin
    for i:=1 to dl1 do
      begin
      cas:=copy(inp1,i,1);
      st1[i]:=sc(cas);
      end;

    for i:=1 to dl1 do
      begin
      cas:=copy(inp2,i,1);
       st2[i]:=sc(cas);
      end;

    for i:=1 to dl1 do
      for j:=i to dl1 do begin
        if st1[i]<=st1[j]then begin
                           k:=st1[i];
                           st1[i]:=st1[j];
                           st1[j]:=k;
                          end;
        if st2[i]<=st2[j]then begin
                           k:=st2[i];
                           st2[i]:=st2[j];
                           st2[j]:=k;
                          end;
        end;
  for i:=1 to dl1 do
     begin
     s1[i]:=ord(st1[i]);
     s2[i]:=ord(st2[i]);
     end;
 razo:=s1[1]-s2[1];
 if razo<0 then razo:=razo+26;
 for i:=1 to dl1 do
   begin
   razi:=s1[i]-s2[i];
   if razi<0 then razi:=razi+26;
     if razi<>razo then l:=true;
 end;
if l then writeln(fout,'NO') else writeln(fout,'YES');
end;
close(fin);
close(fout);
 end.
